Name:		libgta
Version:	1.2.1
Release:	1%{?dist}
Summary:	Library that implements the Generic Tagged Arrays file format
License:	LGPLv2+
URL:		https://marlam.de/gta/
Source0:	https://marlam.de/gta/releases/%{name}-%{version}.tar.xz
BuildRequires:	gcc
BuildRequires:	doxygen
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	xz-devel

%description
Libgta is a portable library that implements the GTA (Generic Tagged Arrays)
file format. It provides interfaces for C and C++.

%package devel
Summary:	Development Libraries for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package doc
Summary:	API documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
The %{name}-doc package contains HTML API documentation and
examples for %{name}.


%prep
%setup -q

# Preserve date for headers
# Sent to gta-list@nongnu.org
sed -i 's/-m 644/-pm 644/' configure


%build
%configure --disable-static
%{__make} %{?_smp_mflags} V=1


%install
%{__make} install DESTDIR=%{buildroot}

# Remove documentation; will install it with doc macro
%{__rm} -rf %{buildroot}%{_docdir}


%check
%{__make} check V=1

%ldconfig_scriptlets

%files
%doc COPYING AUTHORS README
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/pkgconfig/gta.pc
%{_includedir}/gta
%{_libdir}/%{name}.so

%files doc
%doc doc/example*
%doc doc/reference


%changelog
* Tue Sep 3 2019 Devrim Gündüz <devrim@gunduz.org> - 1.2.1-1
- Initial packaging for EPEL 8, based on Fedora rawhide spec.
